/**
 * プロジェクト名 laxIde
 * クラス名 LetsAjaxNewProjectWizardPage1.java
 * 作成日: 2007/05/28
 * 
 */
package jp.co.cybec.laxide.wizards;

import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.events.ModifyEvent;
import org.eclipse.swt.events.ModifyListener;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Text;

/**
 * LAX用新規プロジェクト作成ウィザードのページクラス
 * <p>
 * ファイル名：LetsAjaxNewProjectWizardPage1.java
 * </p>
 * 
 * @author nakamura 作成時刻：10:53:47
 * 
 */
public class LetsAjaxNewProjectWizardPage1 extends WizardPage {

	private static final String NEW_LAX_PROJECT_WIZARD_PAGE1 = "NewLaxProjectWizardPage1";

	// テキストフィールド
	private Text text;

	protected LetsAjaxNewProjectWizardPage1() {
		super(NEW_LAX_PROJECT_WIZARD_PAGE1);
		setTitle("LAXプロジェクト生成");
		setDescription("プロジェクトの生成です");
	}

	public void createControl(Composite parent) {
		Composite composite = new Composite(parent, SWT.NULL);
		composite.setLayout(new GridLayout(2, false));

		Label label = new Label(composite, SWT.NULL);
		label.setText("プロジェクト名");

		text = new Text(composite, SWT.BORDER);
		text.setLayoutData(new GridData(GridData.FILL_HORIZONTAL));

		text.addModifyListener(new ModifyListener() {
			public void modifyText(ModifyEvent event) {
				doValidate();
			}
		});

		doValidate();
		setControl(composite);
	}

	private void doValidate() {
		if (text.getText().length() == 0) {
			setErrorMessage("プロジェクト名を入力してください");
			setPageComplete(false);
			return;
		}
		setErrorMessage(null);
		setPageComplete(true);

	}
}
